WAIT4X(1)

NAME
wait4x - Wait for a port or a service to enter the requested state

DESCRIPTION
Wait4X allows waiting for a port to enter into specify state or waiting for a service e.g. redis, mysql, postgres, ... to enter inter ready state

  Usage:

    wait4x [command]

  Available Commands:

dns Check DNS records

exec
    Check command execution

help
    Help about any command

http
    Check HTTP connection

influxdb
    Check InfluxDB connection - this feature is disabled

kafka
    Check Kafka connection

mongodb
    Check MongoDB connection

mysql
    Check MySQL connection

postgresql
    Check PostgreSQL connection

rabbitmq
    Check RabbitMQ connection

redis
    Check Redis connection - this feature is disabled

tcp Check TCP connection

temporal
    Check Temporal connection - this feature is disabled

version
    Show Wait4X version information

  Flags:

--backoff-exponential-coefficient float
    Coefficient used to calculate the exponential backoff when backoff-policy is exponential. (default 2)

--backoff-exponential-max-interval duration
    Maximum interval time between each loop when backoff-policy is exponential. (default 5s)

--backoff-policy string
    Select the backoff policy ("linear"|"exponential". (default "linear")

-h, --help
    help for wait4x

-i, --interval duration
    Interval time between each loop. (default 1s)

-v, --invert-check
    Invert the sense of checking.

--no-color
    If specified, output won't contain any color.

-q, --quiet
    Quiet or silent mode. Do not show logs or error messages.

-t, --timeout duration
    Timeout is the maximum amount of time that Wait4X will wait for a checking operation, 0 is unlimited. (default 10s)

Use "wait4x [command] --help" for more information about a command.

SEE ALSO
The full documentation for wait4x is maintained as a Texinfo manual. If the info and wait4x programs are properly installed at your site, the command

    info wait4x

should give you access to the complete manual.